Subject: Re: bug#19731: 24.4; /dev/null is deleted by tramp-sh.el

From: crocket <[email-masked]>
Date: Mon, 2 Feb 2015 21:22:30 +0900

On bash, if you become root, and set HISTFILE to /dev/null and
HISTFILESIZE to a very small number, and execute more than
$HISTFILESIZE commands, and exit bash, then
you'll see /dev/null replaced with a regular file with permission 600.

If you can't reproduce it, then I'll test tramp on emacs 25 with
'tramp-histfile-override' set to 'unset'.

On Mon, Feb 2, 2015 at 9:15 PM, Michael Albinus <[email-masked]> wrote:
> crocket <[email-masked]> writes:
>
>> I confirmed that bash deletes /bin/bash with HISTFILE=/dev/null after
>> executing more commands than HISTFILESIZE.
>> Thus, I can already imagine the outcome of unsetting HISTFILE.
>> You can test emacs 25 with various values of HISTFILE on systems that
>> have /bin/sh symlinked to /bin/bash.
>
> Well, I couldn't test whether Tramp behaves correctly because I have no
> test system where bash behaves like described by you. So I hope to get
> feedback, whether Tramp behaves correctly.
>
>> I think 'unset' is a reasonable default value for HISTFILE because
>> people are not interested in tramp history by default.
>
> Well, changing the default would need much more testing with other
> shells but bash. That's why it is offered as option only, and not as default.
>
> Best regards, Michael.